Package org.eclipse.net4j.util.container.delegate

# Class ContainerCollection<E>

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.container.delegate.AbstractDelegator<E>
org.eclipse.net4j.util.container.delegate.ContainerCollection<E>

All Implemented Interfaces:
  `Iterable<E>`, `Collection<E>`, `IContainerCollection<E>`, `IContainer<E>`, `INotifier`, `INotifier.INotifier2`

Direct Known Subclasses:
  `ContainerList`, `ContainerQueue`, `ContainerSet`

public class ContainerCollection<E> extends AbstractDelegator<E> implements IContainerCollection<E>
A default implementation of a `container collection`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.container.delegate.AbstractDelegator

`AbstractDelegator.DelegatingIterator`

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.event.Notifier

`Notifier.Cancelation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`INotifier.INotifier2`

## Constructor Summary

Constructors
Constructor
Description
`ContainerCollection(Collection<E> delegate)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`add(E o)`
`boolean`
`addAll(Collection<? extends E> c)`
`void`
`clear()`
`boolean`
`contains(Object o)`
`boolean`
`containsAll(Collection<?> c)`
`boolean`
`equals(Object o)`
`Collection<E>`
`getDelegate()`
`E[]`
`getElements()`
`int`
`hashCode()`
`boolean`
`isEmpty()`
`Iterator<E>`
`iterator()`
`boolean`
`remove(Object o)`
`boolean`
`removeAll(Collection<?> c)`
`boolean`
`retainAll(Collection<?> c)`
`int`
`size()`
`Object[]`
`toArray()`
`<T> T[]`
`toArray(T[] a)`

### Methods inherited from class org.eclipse.net4j.util.container.delegate.AbstractDelegator

`createEvent, dispatchEvent, fireAddedEvent, fireRemovedEvent`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, spliterator, stream, toArray`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface java.lang.Iterable

`forEach`

## Constructor Details

### ContainerCollection

public ContainerCollection(Collection<E> delegate)

## Method Details

### getDelegate

public Collection<E> getDelegate()

Specified by:
  `getDelegate` in interface `IContainerCollection<E>`

### getElements

public E[] getElements()

Specified by:
  `getElements` in interface `IContainer<E>`

### add

public boolean add(E o)

Specified by:
  `add` in interface `Collection<E>`
Category
  WRITE

### addAll

public boolean addAll(Collection<? extends E> c)

Specified by:
  `addAll` in interface `Collection<E>`
Category
  WRITE

### clear

public void clear()

Specified by:
  `clear` in interface `Collection<E>`
Category
  WRITE

### remove

public boolean remove(Object o)

Specified by:
  `remove` in interface `Collection<E>`
Category
  WRITE

### removeAll

public boolean removeAll(Collection<?> c)

Specified by:
  `removeAll` in interface `Collection<E>`
Category
  WRITE

### retainAll

public boolean retainAll(Collection<?> c)

Specified by:
  `retainAll` in interface `Collection<E>`
Category
  WRITE

### contains

public boolean contains(Object o)

Specified by:
  `contains` in interface `Collection<E>`
Category
  READ

### containsAll

public boolean containsAll(Collection<?> c)

Specified by:
  `containsAll` in interface `Collection<E>`
Category
  READ

### equals

public boolean equals(Object o)

Specified by:
  `equals` in interface `Collection<E>`
Overrides:
  `equals` in class `Object`
Category
  READ

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `Collection<E>`
Overrides:
  `hashCode` in class `Object`
Category
  READ

### isEmpty

public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Collection<E>`
Specified by:
  `isEmpty` in interface `IContainer<E>`
Category
  READ

### iterator

public Iterator<E> iterator()

Specified by:
  `iterator` in interface `Collection<E>`
Specified by:
  `iterator` in interface `Iterable<E>`
Category
  READ

### size

public int size()

Specified by:
  `size` in interface `Collection<E>`
Category
  READ

### toArray

public Object[] toArray()

Specified by:
  `toArray` in interface `Collection<E>`
Category
  READ

### toArray

public <T> T[] toArray(T[] a)

Specified by:
  `toArray` in interface `Collection<E>`
Category
  READ